#include <iostream>
using namespace std;
int Power(int x, int p) {
  if (p == 0) return 1;
  if (p == 1) return x;
  return x * Power(x, p-1);
}

main ()
{
    long long int a,br=0,k=0,brk=0;
    long long int niz[50000];
    cin>>a;
    for (k;k<a;k++)
    {
        if (1*Power(10,k)>a) break;
        niz[br]=1*Power(10,k);
        br++;
        if (2*Power(10,k)>a) break;
        niz[br]=2*Power(10,k);
        br++;
        if (5*Power(10,k)>a) break;
        niz[br]=5*Power(10,k);
        br++;
    }
    for (int j=br-1;j>=0;j--)
    {
            brk=brk+a/niz[j];
            a=a%niz[j];
    }
    cout<<brk;
}